package com.pictc.converts;

public class ObjectHandler implements TypeHandler<Object> {

	private Class<?>[] converts = new Class<?>[] { Object.class };

	@Override
	public Object convert(Object value) {
		return value;
	}

	@Override
	public Object valueToObject(Object val) {
		if (val == null) {
			return null;
		}
		return val;
	}

	@Override
	public boolean isType(Class<?> type) {
		return Object.class.equals(type);
	}

	@Override
	public Class<?>[] getConverts() {
		return converts;
	}

}
